CVE-2020-11937

Published: 11 June 2020

In whoopsie, parse_report() from whoopsie.c allows a local attacker to cause a denial of service via a crafted file. The DoS is caused by resource exhaustion due to a memory leak. Fixed in 0.2.52.5ubuntu0.5, 0.2.62ubuntu0.5 and 0.2.69ubuntu0.1.

Priority

Medium

CVSS 3 base score: 6.2

Status

Package Release Status
whoopsie
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 20.04 LTS (Focal Fossa)
Released (0.2.69ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (0.2.62ubuntu0.5)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.2.52.5ubuntu0.5)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist